Simple Software for a Simple Life!
Simple Software for a Simple Life!
 Featured
Heartbleed does not affect eWallet
Views: 3361 Created: 04-10-2014 15:00 Last Updated: 04-14-2014 10:14

As you may have heard, a major security vulnerability; dubbed "Heartbleed," was recently discovered in OpenSSL. OpenSSL enables SSL and TLS encryption, which governs HTTPS — the secure communications between your computer and the servers on the Internet. It is used by about 2/3 of the web servers in the world. This vulnerability was the result of a programming error (or bug) in several versions of OpenSSL (info from rackspace.com)

A website you list in an eWallet card may or may not use OpenSSL technology (that's up to the server hosting the website). eWallet's only role in this case is to launch the website in your browser or browser control when you touch or click on the URL in your card. We do not use OpenSSL in our eWallet (or eWallet GO!) product so it is unaffected by this vulnerability.

If you're concerned about your information on a particular website, good practice would be to change your password for that site – and eWallet can help you change it to a new, strong password using its built-in password generator.

eWallet and eWallet GO! are registered trademarks of Ilium Software, Inc.

Custom Fields
  • Platform: iPhone, iPad, iPod touch, Windows Mobile, BlackBerry, Android, Windows Phone 7, Mac OS X, Windows PC, Other, Windows 8 (Store App)